- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Generators::BFIG::BFIGAssignment Class Reference

`#include <BFIGAssignment.h>`

Inheritance diagram for Mers::Generators::BFIG::BFIGAssignment:

[legend]
Collaboration diagram for Mers::Generators::BFIG::BFIGAssignment:

[legend]
List of all members.

## Public Member Functions
bool | operator== (BFIGAssignment const *a) const
bool | operator== (BFIGAssignment const &a) const
bool | operator< (BFIGAssignment const &a) const
| BFIGAssignment (BFIGVariable const *sourceVariable_p, Mers::Models::Base::BaseModelValue const *assignmentValue, double assignmentCost)
| ~BFIGAssignment ()
BFIGVariable const * | getVariable () const
unsigned int | getName () const
Mers::Utils::Lang::String | getNameString () const
unsigned int | getNameInt () const
unsigned int | getValue () const
Mers::Utils::Lang::String | getValueString () const
unsigned int | getValueInt () const
double | getCost () const
void | setCost (double assignmentCost)
double | getTrueCost () const
void | setTrueCost (double assignmentCost)
Mers::Utils::Lang::String | toString () const
Mers::Utils::Containers::IntegerArray | alternateValues () const
std::list< BFIGAssignment const * > | alternateAssignments () const
std::vector< BFIGAssignment const * > | alternateAssignmentsTotal () const
bool | compatible (BFIGAssignment const *a) const
bool | compatible (std::vector< BFIGAssignment const * > const &a) const
bool | isEnabled () const
void | setEnabled (bool enabled)
void | setDebug (bool debugState)
BFIGConstraint const * | getConstraint () const
BFIGConstraint const * | getNegativeConstraint () const
## Static Public Attributes
static bool | terse
## Friends
std::ostream & | operator<< (std::ostream &, BFIGAssignment const &)

## Detailed Description

BFIGAssignment CLASS

Author:
  John Van Eepoel

Date:
  6.13.01

Definition at line 47 of file BFIGAssignment.h.

## Member Function Documentation

Mers::Generators::BFIG::BFIGVariable const * BFIGAssignment::getVariable | ( |  | ) | const

Returns the variable of this assignment.

Returns:
  a handle to this objects internal variable object.

Reimplemented from Mers::Models::Base::BaseModelAssignment.

Definition at line 202 of file BFIGAssignment.cpp.

Referenced by getName(), getNameInt(), getNameString(), Mers::Generators::BFIG::BFIGConstraintUnit::getVariable(), Mers::Generators::BFIG::operator<<(), operator==(), and Mers::Generators::BFIG::BFIGConstraint::supportedBy().

unsigned int BFIGAssignment::getValue | ( |  | ) | const

Returns the value of this assignment.

Returns:
  a handle to this objects internal value object.

Reimplemented from Mers::Models::Base::BaseModelAssignment.

Definition at line 181 of file BFIGAssignment.cpp.

References getValueInt().

Referenced by compatible(), Mers::Generators::BFIG::BFIGConstraintUnit::getValue(), operator<(), Mers::Generators::BFIG::operator<<(), and operator==().

Here is the call graph for this function:

vector< BFIGAssignment const * > BFIGAssignment::alternateAssignmentsTotal | ( |  | ) | const

Definition at line 569 of file BFIGAssignment.cpp.

References Mers::Generators::BFIG::BFIGVariable::getAssignments(), Mers::Models::Base::BaseModelValue::getUID(), and Mers::Models::Base::BaseModelAssignment::value.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Generators/BFIG/BFIGAssignment.h
- /Users/fpy/titan-1-5-MBARI/Mers/Generators/BFIG/BFIGAssignment.cpp